<?php
	require_once( $GLOBALS["site_root"]."/includes/widgets/Widget.inc.php" );

	class DGreenBox extends Widget {
		protected $sRenderedContent = false;

		public function renderContent() {
			if ($this->sRenderedContent) return $this->sRenderedContent;
			$filename = $this->getTemplateFilename( ".content" );
			$this->sRenderedContent = $this->renderFromTemplate( $filename );
			return $this->sRenderedContent;
		}

		public function render() {
			if ($this->sRendered) return $this->sRendered;
			$this->renderWidgets();
			$this->setParam( "debug_log_queries" , FNTH_db_renderlog() );
			$this->setParam( "content" , $this->renderContent() );
			return parent::render();
		}
	}

?>
